Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.probe.cxf
Class OperationExecutionSOAPResponseInInterceptor

    java.lang.Object
      org.apache.cxf.phase.AbstractPhaseInterceptor<org.apache.cxf.message.Message>
          org.apache.cxf.interceptor.AbstractInDatabindingInterceptor
              org.apache.cxf.binding.soap.interceptor.SoapHeaderInterceptor
                  kieker.monitoring.probe.cxf.OperationExecutionSOAPResponseInInterceptor

All Implemented Interfaces:
  IMonitoringProbe, org.apache.cxf.interceptor.Interceptor<org.apache.cxf.message.Message>, org.apache.cxf.phase.PhaseInterceptor<org.apache.cxf.message.Message>

    public class OperationExecutionSOAPResponseInInterceptor

extends org.apache.cxf.binding.soap.interceptor.SoapHeaderInterceptor
implements IMonitoringProbe

Since:
  1.0
Author:
  Andre van Hoorn, Dennis Kieselhorst

Field Summary
`static String` | `SIGNATURE` This constant contains the signature, which will be used in the monitoring logs.

Fields inherited from class org.apache.cxf.interceptor.AbstractInDatabindingInterceptor
`NO_VALIDATE_PARTS`

Constructor Summary
`OperationExecutionSOAPResponseInInterceptor()` Creates a new instance of this class, using the singleton instance of the `MonitoringController` as controller.
`OperationExecutionSOAPResponseInInterceptor(IMonitoringController monitoringCtrl)` Creates a new instance of this class, using the given instance of a `MonitoringController` as controller.

Method Summary
`void` | `handleMessage(org.apache.cxf.message.Message msg)`

Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor
`addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, setAfter, setBefore`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIGNATURE

    public static final String SIGNATURE

  This constant contains the signature, which will be used in the monitoring logs.

Constructor Detail

### OperationExecutionSOAPResponseInInterceptor

    public OperationExecutionSOAPResponseInInterceptor()

  Creates a new instance of this class, using the singleton instance of the `MonitoringController` as controller.

### OperationExecutionSOAPResponseInInterceptor

    public OperationExecutionSOAPResponseInInterceptor(IMonitoringController monitoringCtrl)

  Creates a new instance of this class, using the given instance of a `MonitoringController` as controller.

  Parameters:
    `monitoringCtrl` - The controller of this interceptor.

Method Detail

### handleMessage

    public void handleMessage(org.apache.cxf.message.Message msg)
                       throws org.apache.cxf.interceptor.Fault

  Specified by:
    `handleMessage` in interface `org.apache.cxf.interceptor.Interceptor<org.apache.cxf.message.Message>`
  Overrides:
    `handleMessage` in class `org.apache.cxf.binding.soap.interceptor.SoapHeaderInterceptor`
  Throws:
    `org.apache.cxf.interceptor.Fault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net